Get Single Devotional
curl --request GET \
--url https://api.thefaithapp.com/v1/devotionals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/devotionals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/devotionals/{id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"devotional": {
"id": 1,
"client_id": 12,
"date": "2025-04-25",
"occurrence_date": null,
"author": "Chris Oyakhilome",
"title": "We’re Not Mere Humans",
"bible_reading": "<p><strong><em>These things have I written...</em></strong></p>",
"content": "<p>This simply lets us know that as Christians...</p>",
"confession": "<p><strong>CONFESSION</strong></p>",
"studies": "<p><strong>FURTHER STUDY:</strong></p>",
"thumbnail": "https://cdn.example.com/devotionals/devotional-1.jpg",
"tags": "[]",
"is_recurring": 0,
"recurrence_end_date": null,
"version": 1,
"original_id": null,
"created_at": "2025-04-25T13:23:38.000000Z",
"updated_at": "2025-06-30T09:46:20.000000Z"
}
}Content
Get Single Devotional
Fetches a full devotional payload by ID.
GET
/
v1
/
devotionals
/
{id}
Get Single Devotional
curl --request GET \
--url https://api.thefaithapp.com/v1/devotionals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/devotionals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/devotionals/{id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"devotional": {
"id": 1,
"client_id": 12,
"date": "2025-04-25",
"occurrence_date": null,
"author": "Chris Oyakhilome",
"title": "We’re Not Mere Humans",
"bible_reading": "<p><strong><em>These things have I written...</em></strong></p>",
"content": "<p>This simply lets us know that as Christians...</p>",
"confession": "<p><strong>CONFESSION</strong></p>",
"studies": "<p><strong>FURTHER STUDY:</strong></p>",
"thumbnail": "https://cdn.example.com/devotionals/devotional-1.jpg",
"tags": "[]",
"is_recurring": 0,
"recurrence_end_date": null,
"version": 1,
"original_id": null,
"created_at": "2025-04-25T13:23:38.000000Z",
"updated_at": "2025-06-30T09:46:20.000000Z"
}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Path Parameters
Unique identifier of the devotional to retrieve.
Example:
1
Response
Devotional returned successfully.
The response is of type object.
Was this page helpful?
⌘I